Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
取得 DEX 交易報價資訊
cURL
curl --request GET \ --url https://api.chainstream.io/v2/dex/{chain}/quote \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.chainstream.io/v2/dex/{chain}/quote" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.chainstream.io/v2/dex/{chain}/quote', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.chainstream.io/v2/dex/{chain}/quote", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.chainstream.io/v2/dex/{chain}/quote" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.chainstream.io/v2/dex/{chain}/quote") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.chainstream.io/v2/dex/{chain}/quote") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "amountOut": "1000000000", "minAmountOut": "<string>", "currentPrice": "<string>", "executionPrice": "<string>", "priceImpact": "10.5", "fee": "1000000000" }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
支援網路列表中的鏈名稱
sol
bsc
eth
DEX 協議類型
raydium
pumpfun
"raydium"
交易數量
1000000000
輸入代幣地址
"6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN"
輸出代幣地址
"So11111111111111111111111111111111111111112"
精確輸入模式
true
滑點容忍度
10
輸出數量
"1000000000"
最小輸出數量
目前價格
執行價格
價格影響
"10.5"
交易手續費
這個頁面有幫助嗎?